# Expr_Operators.hxx File Reference

`#include <Expr_GeneralExpression.hxx>`
`#include <Expr_NumericValue.hxx>`
`#include <Expr_Sum.hxx>`
`#include <Expr_UnaryMinus.hxx>`
`#include <Expr_Difference.hxx>`
`#include <Expr_Product.hxx>`
`#include <Expr_Division.hxx>`

## Defines

#define | __Expr_API

## Functions

Standard_EXPORT | Handle (Expr_Sum) operator+(const Handle(Expr_GeneralExpression)&x
Standard_EXPORT const | Handle (Expr_GeneralExpression)&y)
Standard_EXPORT | Handle (Expr_Difference) operator-(const Handle(Expr_GeneralExpression)&x
Standard_EXPORT | Handle (Expr_UnaryMinus) operator-(const Handle(Expr_GeneralExpression)&x)
Standard_EXPORT | Handle (Expr_Product) operator *(const Handle(Expr_GeneralExpression)&x
Standard_EXPORT | Handle (Expr_Division) operator/(const Handle(Expr_GeneralExpression)&x

## Variables

Standard_EXPORT const Standard_Real | y

## Define Documentation

#define __Expr_API

## Function Documentation

Standard_EXPORT Handle | ( | Expr_Division |  | ) | const

Standard_EXPORT Handle | ( | Expr_Product |  | ) | const

Standard_EXPORT Handle | ( | Expr_UnaryMinus |  | ) | const

Standard_EXPORT Handle | ( | Expr_Difference |  | ) | const

Standard_EXPORT const Handle | ( | Expr_GeneralExpression |  | ) | `[inline]`

Standard_EXPORT Handle | ( | Expr_Sum |  | ) | const

## Variable Documentation

Standard_EXPORT const Standard_Real y